## ros-noetic-hector-xacro-tools 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(hector_xacro_tools VERSION 0.5.1)

find_package(catkin REQUIRED)

catkin_package(
    DEPENDS
    CATKIN_DEPENDS
    INCLUDE_DIRS
    LIBRARIES
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(DIRECTORY urdf
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-hector-xacro-tools (0.5.2-1buster) buster; urgency=high

  * Updated package format version, maintainer and CMakeLists.txt to conform to CMP0048.
  * Contributors: Stefan Fabian

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Wed, 03 Feb 2021 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.5.1-1buster) buster; urgency=high

  * Added velociy transmission
  * position interface macro
  * Switched to www.ros.org for consistency with ros wiki tutorial and publicly available URDFs.
  * Merge pull request #6 <https://github.com/tu-darmstadt-ros-pkg/hector_models/issues/6> from mipo57/patch-1
    Fix inconsistent namespace warning
  * Fix inconsistent namespace warning
    inconsistent namespace redefinitions for xmlns:xacro:
    old: http://www.ros.org/wiki/xacro
    new: http://ros.org/wiki/xacro
    Most of files define url with perciding www. Lack of it results in warning
  * Contributors: Martin Oehler, Michał Pogoda, Stefan Fabian

 -- Stefan Fabian <fabian@sim.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.5.0-1buster) buster; urgency=high

  * Merge branch 'update_transmissions' into kinetic-devel
    Fix xmlns for all xacro files
  * Update to transmissions, prepending "hardware_interface/"
  * fixed warning
  * Add macro for default setting joint properties
  * Contributors: Alexander Stumpf, Stefan Kohlbrecher

 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 29 Jun 2018 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.4.2-1buster) buster; urgency=high

  * Add joint macros (contains transmission macro for the moment)
  * Contributors: Stefan Kohlbrecher

 -- Johannes Meyer <johannes@intermodalics.eu>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.4.1-1buster) buster; urgency=high

  * hector_xacro_tools: fixed invalid brackets in inertial_sphere* xacro macros
  * Cleaned up root element xmlns arguments according to http://gazebosim.org/tutorials?tut=ros_urdf#HeaderofaURDFFile
  * Added missing xacro namespace prefix to XML tags
  * Contributors: Johannes Meyer

 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 08 Nov 2015 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.4.0-1buster) buster; urgency=high

  * Remove origin tag as already set via insert block
  * Add additional macros
  * Contributors: kohlbrecher

 -- Johannes Meyer <johannes@intermodalics.eu>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.3.2-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 01 Sep 2014 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.3.1-1buster) buster; urgency=high



 -- Johannes Meyer <johannes@intermodalics.eu>  Sun, 30 Mar 2014 00:00:00 -0000

ros-noetic-hector-xacro-tools (0.3.0-1buster) buster; urgency=high

  * catkinized stack hector_models

 -- Johannes Meyer <johannes@intermodalics.eu>  Mon, 02 Sep 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-xacro-tools
Section: misc
Priority: optional
Maintainer: Stefan Fabian <fabian@sim.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: http://ros.org/wiki/hector_xacro_tools
Standards-Version: 3.9.2

Package: ros-noetic-hector-xacro-tools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-xacro
Description: hector_xacro_tools

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hector-xacro-tools//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
